/***************************************************************************
                          fileedit.h  -  description
                             -------------------
    begin                : Mon Mar 4 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef FILEEDIT_H
#define FILEEDIT_H

#include <qwidget.h>
#include <qhbox.h>

class QLineEdit;
class QPushButton;

/**
  *@author Dmitry Osinovsky
  */

class FileEdit : public QHBox  {
   Q_OBJECT
public: 
	FileEdit(QWidget *parent=0, const char *name=0);
	~FileEdit();
	
	QString fileName();
	void setFileName(const QString & Value);
private:
  QLineEdit * FEdit;
  QPushButton * FButton;
  QPushButton * FClearButton;

protected slots:
  void buttonClicked();
  void clearButtonClicked();
};

#endif
