/***************************************************************************
                          keyedit.h  -  description
                             -------------------
    begin                : Wed Feb 27 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef KEYEDIT_H
#define KEYEDIT_H

#include <qwidget.h>
#include <qlineedit.h>

/**Editor for keyboard shortcuts.
  *@author Dmitry Osinovsky
  */

class KeyEdit : public QLineEdit  {
   Q_OBJECT
public: 
	KeyEdit(QWidget *parent=0, const char *name=0);
	~KeyEdit();
	int key() { return FKey; }
	void setKey(int Key);
protected: // Protected methods
  /**  */
  void keyPressEvent(QKeyEvent * e);
  /**  */
  void mousePressEvent(QMouseEvent *);
private:
  int FKey;
};

#endif
