/***************************************************************************
                          multioptionsdlg.h  -  description
                             -------------------
    begin                : Mon Mar 4 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef MULTIOPTIONSDLG_H
#define MULTIOPTIONSDLG_H

#include "multiplayer.h"

struct NetOptions;
struct NetDefaultSettings;
struct SkillOptions;
/**
  *@author Dmitry Osinovsky
  */

class MultiOptionsDlg : public MultiplayerDialog  {
   Q_OBJECT
public:
	MultiOptionsDlg(QWidget *parent=0, const char *name=0);
	~MultiOptionsDlg();

	bool askMultiplayerOptions(NetOptions & opt1, NetDefaultSettings & opt2,
	  SkillOptions & opt3);
public slots:	
	void localPlayClicked();
};

#endif
