/***************************************************************************
                          multiplayerstats.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef MULTIPLAYERSTATS_H
#define MULTIPLAYERSTATS_H

#include <qwidget.h>
#include <qvbox.h>

class QLineEdit;
class QListView;
class QMultiLineEdit;
class QMessageBox;
class QPushButton;

/**
  *@author Dmitry Osinovsky
  */

class MultiPlayerStats : public QVBox  {
   Q_OBJECT

signals:
  void onEndGame();

public:
	MultiPlayerStats(QWidget *parent=0, const char *name=0);
	~MultiPlayerStats();
	void endGame() { onEndGame(); }
	
public:
  QLineEdit * FMessage;
  QListView * FTeams;
  QMultiLineEdit * FLog;
  QMessageBox * FMsgDlg;
  QPushButton * FStartBtn;
  QPushButton * FExitBtn;
  QPushButton * FSendBtn;

};

#endif
