/***************************************************************************
                          profiler.h  -  description
                             -------------------
    begin                : Mon Mar 18 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef PROFILER_H
#define PROFILER_H

#include <time.h>

struct FuncTime
{
  clock_t Start;
  int Count;
  clock_t OverallTime;

  FuncTime(): Start(0), Count(0), OverallTime(0) {}
  void start() { Start = clock(); }
  void end() { OverallTime += clock() - Start; Count ++; }
};

extern FuncTime Times[100];

void PrintTimes();

#endif
