/***************************************************************************
                          quadrosprotocol.h  -  description
                             -------------------
    begin                : Mon Feb 25 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef QUADROSPROTOCOL_H
#define QUADROSPROTOCOL_H

enum ThrowTo {wtAll, wtStrongest, wtWeakest, wtRandom, wtRandomDisperse};

const int NET_PauseOn = 0;
const int NET_PauseOff = 1;
const int NET_FigureDropped = 2;
const int NET_Connected = 3;
const int NET_CloseConnection = 4;
const int NET_RefreshPlayersInfo = 5;
const int NET_Chat = 6;
const int NET_StartGame = 7;
const int NET_EndGame = 8;
const int NET_AddLines = 9;
const int NET_Options = 10;

const int NET_PlayerInfo = 0;
const int NET_TeamInfo = 1;

#ifndef VERSION
#define VERSION "0.1"
#endif

extern int TET_Version[4];

#endif
