/***************************************************************************
                          skilloptions.h  -  description
                             -------------------
    begin                : Fri Mar 1 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef SKILLOPTIONS_H
#define SKILLOPTIONS_H

#include <qstring.h>

class QWidget;
class ConfigFile;
class FigureCollection;

struct SkillOptions
{
  int StartLevel;
  bool IncreaseLevel;
  bool TrashLines;
  int FieldHeight;
  unsigned int RandomSeed;
  int FigureCollectionNumber;
  int ComputerSpeed;
};

void bindSkillOptions(ConfigFile & file, const QString & sect, SkillOptions & opt);
void editSkillOptions(QWidget * parent, SkillOptions & opt);

#endif
