/***************************************************************************
                          skilloptionsdlg.h  -  description
                             -------------------
    begin                : Mon Mar 4 2002
    copyright            : (C) 2002 by Dmitry Osinovsky
    email                : osdm@mail.ru
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the    *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef SKILLOPTIONSDLG_H
#define SKILLOPTIONSDLG_H

#include <qdialog.h>

class QSpinBox;
class QCheckBox;
class QComboBox;
struct SkillOptions;

class SkillOptionsDlg : public QDialog  {
   Q_OBJECT
public:
  SkillOptionsDlg(QWidget *parent=0, const char *name=0);
  ~SkillOptionsDlg();

  void editOptions(SkillOptions & opt);
  QSpinBox * FStartLevel;
  QSpinBox * FComputerSpeed;
  QCheckBox * FIncreaseLevel;
  QCheckBox * FTrashLines;
  QSpinBox * FFieldHeight;
  QComboBox * FFigureCollection;
};

#endif
